@charset "UTF-8";
/* guide-printing_machine CSS */
.sec-printing_machine {
    container-type: inline-size;
    container-name: printing_machine;
}

.intro-area{
    gap: 20px;
}
.intro-area .intro-img{
    width: 40%;
    max-width: 350px;
    min-width: 200px;
}
.intro-area .intro-txt{
    flex: 1;
}

.feature-area{
    background-color: rgb(235 77 24 / 0.08);
    padding: 30px;
    line-height: 1.5;
    border-radius: 10px;
}

.feature-area .feature-ttl{
    position: relative;
    padding-left: 12px;
}
.feature-area .feature-ttl::before{
    content: "";
    display: block;
    width: 5px;
    height: 100%;
    background-color: var(--color-sub);
    position: absolute;
    top: 0;
    left: 0;
}

.feature-area .feature-item{
    padding-left: 12px;
}

.caution-area .caution-ttl{
    background-color: #333;
    text-align: center;
    padding: 5px;
}

.caution-area .caution-cont{
    background-color: #eaeaea;
    padding: 30px;
}
.caution-area .caution-cont.flex{
    gap: 20px;
}
.caution-area .caution-cont.flex .caution-txt{
    flex: 1;
}
.caution-area .caution-img.pinhole{
    width: 30%;
    min-width: 180px;
}


.caution-imgarea{
    gap: 20px;
    justify-content: center;
}
.caution-img.sample_offset,
.caution-img.sample_ondemand{
    width: calc(50% - 10px);
    max-width: 400px;
    height: fit-content;
    position: relative;
}
.caution-img.sample_offset::before,
.caution-img.sample_ondemand::before{
    font-size: 14px;
    font-weight: bold;
    padding: 5px 10px;
    color: #fff;
    background-color: rgb(0 0 0 / 0.5);
    position: absolute;
    bottom: 0;
    right: 0;
}
.caution-img.sample_offset::before{
    content: "オフセット印刷";
}
.caution-img.sample_ondemand::before{
    content: "オンデマンド印刷";
}

@container printing_machine (max-width:640px){
    .intro-area .intro-img {
        width: 100%;
        min-width: auto;

    }
    .intro-area .intro-txt {
        flex: auto;
    }

    .feature-area {
        padding: 20px;
    }
    .caution-area .caution-cont {
        padding: 20px;
    }

    .caution-area .caution-cont.flex{
        justify-content: center;
    }
    .caution-area .caution-cont.flex .caution-txt {
        flex: auto;
    }       
    .caution-area .caution-img.pinhole {
        width: 100%;
        max-width: 280px;
        min-width: auto;
    }
    
    .caution-img.sample_offset,
    .caution-img.sample_ondemand {
        width: 100%;
    }
}

@container printing_machine (max-width:400px){
    .feature-area {
        padding: 15px;
    }
    .caution-area .caution-cont {
        padding: 15px;
    }
}